Subject: Re: [PATCH 0/2] C99: harder dependency on variadic macros

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 12 Apr 2021 14:41:35 +0200

On Mon, Apr 12 2021, Bagas Sanjaya wrote:

> On 12/04/21 18.02, Ævar Arnfjörð Bjarmason wrote:
>> But I'm submitting this because of brian m. carlson's note[3] about
>> wanting to submit more general patches for declaring a hard dependency
>> on all of C99.
>
> I think we should bump standard requirement to C99, right?

I think that's worth discussing, but isn't the topic of this more narrow
change.

As noted in
http://lore.kernel.org/git/[email-masked] if we
simply do that some of our MSVC CI will start failing.

I don't know what other compilers we need to support that may support
our current subset of C99 features, but not the full set, or if e.g. the
CI can simply have its MSVC compiler version bumped.